This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### frustum()
Examples |
    size(100, 100, P3D);
    noFill();
    background(204);
    frustum(-10, 0, 0, 10, 10, 200);
    rotateY(PI/6);
    box(45);
Description | Sets a perspective matrix as defined by the parameters. A frustum is a geometric form: a pyramid with its top cut off. With the viewer's eye at the imaginary top of the pyramid, the six planes of the frustum act as clipping planes when rendering a 3D view. Thus, any form inside the clipping planes is rendered and visible; anything outside those planes is not visible. Setting the frustum has the effect of changing the perspective with which the scene is rendered. This can be acheived more simply in many cases by using perspective(). Note that the near value must be greater than zero (as the point of the frustum "pyramid" cannot converge "behind" the viewer). Similarly, the far value must be greater than the near value (as the "far" plane of the frustum must be "farther away" from the viewer than the near plane). Works like glFrustum, except it wipes out the current perspective matrix rather than multiplying itself with it.
Syntax |
    frustum(left, right, bottom, top, near, far)
Parameters |
left | float: left coordinate of the clipping plane
right | float: right coordinate of the clipping plane
bottom | float: bottom coordinate of the clipping plane
top | float: top coordinate of the clipping plane
near | float: near component of the clipping plane; must be greater than zero
far | float: far component of the clipping plane; must be greater than the near value
Returns | void
Related | camera() endCamera() perspective()

Updated on October 26, 2013 08:58:32pm PDT